interface BasicFilterConfig {
  value: string
  data?: Map<string, string | number>
}

interface FilterConfig {
  count?: number
  alphabet?: boolean
  categories?: Array<string>
}

interface FiltersProps {
  data?: Array<any>
  config: FilterConfig
  initialFilters?: FilterState
  onFilterChange: Function
}

interface FilterState {
  count?: BasicFilterType
  alphabet?: BasicFilterType
  categories?: BasicFilterType
}

type BasicFilterType = Map<string, BasicFilterConfig> | BasicFilterConfig
