import { ChangeEvent } from "react"
import { TextInput } from "../.."
import "./Password.component.scss"

interface PasswordProps {
  onChange: (event: ChangeEvent) => void
}

const Password = (props: PasswordProps): JSX.Element => {
  const { onChange } = props
  return (
    <TextInput type="password" onChange={onChange} placeholder="Password" />
  )
}

export default Password
